CVE-2017-15267

NameCVE-2017-15267
DescriptionIn GNU Libextractor 1.4, there is a NULL Pointer Dereference in flac_metadata in flac_extractor.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-1198-1
NVD severitymedium (attack range: remote)
Debian Bugs878314

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libextractor (PTS)jessie1:1.3-2+deb8u1fixed
jessie (security)1:1.3-2+deb8u4fixed
stretch, stretch (security)1:1.3-4+deb9u3fixed
buster, sid1:1.8-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libextractorsource(unstable)1:1.6-1medium878314
libextractorsourcejessie1:1.3-2+deb8u1medium
libextractorsourcestretch1:1.3-4+deb9u1medium
libextractorsourcewheezy1:0.6.3-5+deb7u1mediumDLA-1198-1

Notes

http://lists.gnu.org/archive/html/bug-libextractor/2017-10/msg00003.html
http://openwall.com/lists/oss-security/2017/10/11/1
https://bugzilla.redhat.com/show_bug.cgi?id=1499600
Fixed by: https://gnunet.org/git/libextractor.git/commit/?id=6095d7132b57fc7368fc7a40bab2a71b735724d2

Search for package or bug name: Reporting problems